Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class DataURLUtil

    java.lang.Object
      org.apache.fop.util.DataURLUtil

public class DataURLUtil
extends java.lang.Object

See Also:
  `DataURLUtil`

Constructor Summary
`DataURLUtil()` Deprecated.

Method Summary
`static java.lang.String` | `createDataURL(java.io.InputStream in, java.lang.String mediatype)` Deprecated.
`static void` | `writeDataURL(java.io.InputStream in, java.lang.String mediatype, java.io.Writer writer)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataURLUtil

    public DataURLUtil()

  Deprecated.

Method Detail

### createDataURL

    public static java.lang.String createDataURL(java.io.InputStream in,
                                                 java.lang.String mediatype)
                                          throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `DataURLUtil.createDataURL(InputStream, String)`

### writeDataURL

    public static void writeDataURL(java.io.InputStream in,
                                    java.lang.String mediatype,
                                    java.io.Writer writer)
                             throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `DataURLUtil.writeDataURL(InputStream, String, Writer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.